#include <iostream>

using namespace std;

int main()
{
    int n,k;

    cin>>n>>k;

    if(k==1&&n<401)
    {

        int A[n];
        for(int i=0;i<n;i++)//ucitava
        {
            cin>>A[i];

        }
        cout<<endl;

int g=0;

        


            int s=0;
            while(  s<n)
            {
                if(A[s]>=A[1]&&A[s+1]<A[s])
                {
                    A[s]=A[s]*-1-2;
                   g=1;
                   break;
                }
                s++;
            }
            if(g==0)
            A[n-1]=A[n-1]*-1-2;

        






        for(int i=0;i<n;i++)
        {
            if(A[i]>-1)
                cout<<A[i]<<" ";
        }}















    return 0;
}